map
Device proxies

The map proxy provides an interface to a map. More...

## Classes

struct | playerc_map_t
| Map proxy data. More...

## Macros

#define | PLAYERC_MAP_INDEX(dev, i, j) ((dev->width) * (j) + (i))
| Convert from a cell position to a map index.

## Functions

PLAYERC_EXPORT playerc_map_t * | playerc_map_create (playerc_client_t *client, int index)
| Create a map proxy. More...
PLAYERC_EXPORT void | playerc_map_destroy (playerc_map_t *device)
| Destroy a map proxy. More...
PLAYERC_EXPORT int | playerc_map_subscribe (playerc_map_t *device, int access)
| Subscribe to the map device. More...
PLAYERC_EXPORT int | playerc_map_unsubscribe (playerc_map_t *device)
| Un-subscribe from the map device. More...
PLAYERC_EXPORT int | playerc_map_get_map (playerc_map_t *device)
| Get the map, which is stored in the proxy. More...
PLAYERC_EXPORT int | playerc_map_get_vector (playerc_map_t *device)
| Get the vector map, which is stored in the proxy. More...

## Detailed Description

The map proxy provides an interface to a map.

## Function Documentation

PLAYERC_EXPORT playerc_map_t* playerc_map_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a map proxy.

PLAYERC_EXPORT void playerc_map_destroy | ( | playerc_map_t * | device | ) |

Destroy a map proxy.

PLAYERC_EXPORT int playerc_map_get_map | ( | playerc_map_t * | device | ) |

Get the map, which is stored in the proxy.

PLAYERC_EXPORT int playerc_map_get_vector | ( | playerc_map_t * | device | ) |

Get the vector map, which is stored in the proxy.

PLAYERC_EXPORT int playerc_map_subscribe | ( | playerc_map_t * | device,
|  | int | access
| ) |  |

Subscribe to the map device.

PLAYERC_EXPORT int playerc_map_unsubscribe | ( | playerc_map_t * | device | ) |

Un-subscribe from the map device.

Last updated 12 September 2005 21:38:45